Main Page Class Hierarchy Compound List File List Compound Members File Members

# _GLOBAL_PHSLINE_STRUCT Struct Reference

`#include <global_loc_rw.h>`

List of all members.

## Public Attributes
unsigned short | version
MSG_LOGO | logo
long | sequence
char | station [TRACE_STA_LEN]
char | channel [TRACE_CHAN_LEN]
char | network [TRACE_NET_LEN]
char | location [TRACE_LOC_LEN]
char | pick_time [19]
char | phase_name [9]
double | quality
char | polarity
GLOBAL_AMPLINE_STRUCT | amps [MAX_AMPS_PER_GLOBALPHASE]

## Member Data Documentation

GLOBAL_AMPLINE_STRUCT _GLOBAL_PHSLINE_STRUCT::amps[MAX_AMPS_PER_GLOBALPHASE]

| Definition at line 102 of file global_loc_rw.h. Referenced by AddAmpLineToPhase(), AddPhaseLineToLoc(), ClearAmpLines(), InitGlobalPhaseLine(), and WriteLocToBuffer().

char _GLOBAL_PHSLINE_STRUCT::channel[TRACE_CHAN_LEN]

| Definition at line 95 of file global_loc_rw.h. Referenced by AddPhaseLineToLoc(), InitGlobalPhaseLine(), StringToPhaseLine(), and WritePhaseLineToBuffer().

char _GLOBAL_PHSLINE_STRUCT::location[TRACE_LOC_LEN]

| Definition at line 97 of file global_loc_rw.h. Referenced by AddPhaseLineToLoc(), InitGlobalPhaseLine(), StringToPhaseLine(), and WritePhaseLineToBuffer().

MSG_LOGO _GLOBAL_PHSLINE_STRUCT::logo

| Definition at line 92 of file global_loc_rw.h. Referenced by AddPhaseLineToLoc(), GetLocPhaseIndex(), InitGlobalPhaseLine(), StringToPhaseLine(), and WritePhaseLineToBuffer().

char _GLOBAL_PHSLINE_STRUCT::network[TRACE_NET_LEN]

| Definition at line 96 of file global_loc_rw.h. Referenced by AddPhaseLineToLoc(), InitGlobalPhaseLine(), StringToPhaseLine(), and WritePhaseLineToBuffer().

char _GLOBAL_PHSLINE_STRUCT::phase_name[9]

| Definition at line 99 of file global_loc_rw.h. Referenced by AddPhaseLineToLoc(), InitGlobalPhaseLine(), StringToPhaseLine(), and WritePhaseLineToBuffer().

char _GLOBAL_PHSLINE_STRUCT::pick_time[19]

| Definition at line 98 of file global_loc_rw.h. Referenced by AddPhaseLineToLoc(), InitGlobalPhaseLine(), StringToPhaseLine(), and WritePhaseLineToBuffer().

char _GLOBAL_PHSLINE_STRUCT::polarity

| Definition at line 101 of file global_loc_rw.h. Referenced by AddPhaseLineToLoc(), InitGlobalPhaseLine(), StringToPhaseLine(), and WritePhaseLineToBuffer().

double _GLOBAL_PHSLINE_STRUCT::quality

| Definition at line 100 of file global_loc_rw.h. Referenced by AddPhaseLineToLoc(), InitGlobalPhaseLine(), StringToPhaseLine(), and WritePhaseLineToBuffer().

long _GLOBAL_PHSLINE_STRUCT::sequence

| Definition at line 93 of file global_loc_rw.h. Referenced by AddPhaseLineToLoc(), GetLocPhaseIndex(), InitGlobalPhaseLine(), StringToPhaseLine(), and WritePhaseLineToBuffer().

char _GLOBAL_PHSLINE_STRUCT::station[TRACE_STA_LEN]

| Definition at line 94 of file global_loc_rw.h. Referenced by AddPhaseLineToLoc(), InitGlobalPhaseLine(), StringToPhaseLine(), and WritePhaseLineToBuffer().

unsigned short _GLOBAL_PHSLINE_STRUCT::version

| Definition at line 91 of file global_loc_rw.h. Referenced by AddAmpLineToPhase(), AddPhaseLineToLoc(), ClearAmpLines(), InitGlobalPhaseLine(), StringToPhaseLine(), and WritePhaseLineToBuffer().

The documentation for this struct was generated from the following file:

- global_loc_rw.h